### Method

# Vips Image write_line

#### Declaration [src]

    int
    vips_image_write_line (
      VipsImage* image,
      int ypos,
      VipsPel* linebuffer
    )

#### Description [src]

Write a line of pixels to an image. This function must be called repeatedly with `ypos` increasing from 0 to `VipsImage:height`. `linebuffer` must be `VIPS_IMAGE_SIZEOF_LINE()` bytes long.

See also

`vips_image_generate()`.

#### Parameters

`ypos`

  Type: `int`

  Vertical position of scan-line to write.

`linebuffer`

  Type: `VipsPel`

  Scanline of pixels.

  The data is owned by the caller of the method.

#### Return value

Type: `int`

0 on success, or -1 on error.